| Home | Libraries | People | FAQ | More

##### ssl_stream::async_write_some

Start an asynchronous write.

###### Synopsis

    template<
        class ConstBufferSequence,
        class WriteHandler = net::default_completion_token_t<executor_type>>
    DEDUCED
    async_write_some(
        ConstBufferSequence const& buffers,
        BOOST_ASIO_MOVE_ARG(WriteHandler) handler = net::default_completion_token_t< executor_type >{});

###### Description

This function is used to asynchronously write one or more bytes of data to the stream. The function call always returns immediately.

###### Parameters

Name | Description
--- | ---
`buffers` | The data to be written to the stream. Although the buffers object may be copied as necessary, ownership of the underlying buffers is retained by the caller, which must guarantee that they remain valid until the handler is called.

`handler`

The handler to be called when the write operation completes. Copies will be made of the handler as required. The equivalent function signature of the handler must be:

     void handler(
      const boost::system::error_code& error, // Result of operation.
      std::size_t bytes_transferred           // Number of bytes written.
    );

###### Remarks

The `async_write_some` operation may not transmit all of the data to the peer. Consider using the `net::async_write` function if you need to ensure that all data is written before the asynchronous operation completes.